* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f5f5dc;
}

a {
    text-decoration: none;
    transition: 300ms;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
li {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

header {
    width: 100%;
    height: 6rem;
    background-color: #deb887;

    .topbar {
        width: 64rem;
        height: 2rem;
        margin: 0 auto;
        display: flex;
        justify-content: space-between;
        align-items: center;

        .social {
            display: flex;

            ul {
                display: flex;
                gap: 1rem;

                li {
                    list-style-type: none;
                }
            }
        }
    }

    nav {
        width: 100%;
        height: 4rem;
        background-color: #1b1b91;
        display: flex;
        justify-content: center;

        ul {
            height: 4rem;
            display: flex;
            align-items: center;

            li {
                list-style-type: none;

                a {
                    height: 4rem;
                    display: flex;
                    align-items: center;
                    padding: 0 1rem;
                    color: #f5f5dc;
                    text-transform: uppercase;

                    &:hover {
                        background-color: #3f3fb7;
                    }
                }
            }
        }
    }
}

#home,
#sobre {
    width: 100%;
    height: 80vh;
    background-image: linear-gradient(#deb887, #f5f5dc);
    display: flex;
    justify-content: center;
    align-items: center;

    .conteudo {
        width: 64rem;
        margin: 0 auto;
        display: flex;
        align-items: center;

        .texto {
            width: 50%;
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 1rem;

            h1 {
                font-size: 4rem;
                font-weight: 200;
                text-align: center;
            }

            h2 {
                font-size: 2rem;
                font-weight: 300;
                text-align: center;
            }

            .cta {
                display: flex;
                width: 50%;
                height: 3rem;
                border: 1px solid #1b1b91;
                border-radius: 0.5rem;
                justify-content: center;
                align-items: center;
                font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
                background-color: #9999ee;
                color: #1b1b91;

                &:hover {
                    border: 1px solid #9999ee;
                    background-color: #1b1b91;
                    color: #9999ee;
                }
            }

        }

        .foto {
            width: 30rem;
            height: 30rem;
            background-color: grey;
            border-radius: 50%;
            overflow: hidden;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                object-position: center;
            }
        }
    }
}

#trabalhos {
    width: 100%;

    .cards {
        width: 64rem;
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;

        .card {
            width: 15.25rem;
            border: 1px solid black;
            padding: 1rem;
            border-radius: .5rem;
            background-color: #ececec;
            display: flex;
            flex-direction: column;
            gap: 1rem;

            h3 {
                text-align: center;
            }

            .imagem {
                width: 100%;
                aspect-ratio: 1/1;
                background-color: #868686;
                overflow: hidden;

                img {
                    width: 100%;
                }
            }

            .btn {
                width: 100%;
                height: 2rem;
                border: 1px solid #1b1b91;
                border-radius: .25rem;
                display: flex;
                justify-content: center;
                align-items: center;
                background-color: #1b1b91;
                color: #fafafa;
                font-family: system-ui, sans-serif;
                box-shadow: 0 0 16px #00000080;

                &:hover {
                    box-shadow: 0 0 8px #000000;
                    background-color: #fafafa;
                    color: #1b1b91;
                }
            }
        }
    }
}

#sobre {
    background-image: linear-gradient(#f5f5dc, #deb887);

    .conteudo {
        flex-direction: row-reverse;
        gap: 1rem;
    }
}